section.hero.is-primary.is-bold.is-fullheight
  header.header.hero-head role='banner'
    = partial '/_partials/navbar', locals: { color: 'transparent' }
  .hero-body
    .container style='margin-top: 1.5rem'
      h1.title Antora
      p.subtitle The multi-repository documentation site generator for tech writers who <i class="fa fa-heart-o" style="font-size: 0.875em; line-height: inherit; width: 1.1em; text-align: center"></i> writing in AsciiDoc.
  .hero-footer
    .container.has-text-centered style='margin-bottom: 3rem'
      h3.subtitle.is-size-5 style='margin-bottom: 1.25rem' Antora 3.0 is now available!
      p
        a.button.is-white.is-outlined style='margin-right: 0.75rem' href='https://docs.antora.org/antora/latest/install-and-run-quickstart/'
          span Install Antora
        a.button.is-white.is-outlined href='https://gitlab.com/antora/antora'
          span.icon: i.fa.fa-gitlab
          span View the Source

section#feature.section.is-alternate
  .container
    .columns.is-desktop
      .column
        h3.title Docs as Code
    .columns.is-desktop
      .columns.is-multiline
        .column.is-11.is-offset-1
          h3.subtitle Store documentation in multiple repositories
          p.desc No matter how many git repositories you use, Antora can retrieve and aggregate all the content from them to assemble a documentation site.
        .column.is-11.is-offset-1
          h3.subtitle Workspaces that fit team and content requirements
          p.desc Since documentation files can be stored in separate repositories, the teams that maintain them can use the administration policies, version schema, and release schedule that works for them.
      .column.is-vcentered.is-half
        figure.image.is-4by3: img src=(asset_url 'multi-repo.svg', 'img')
    .columns.is-desktop
      .column.is-vcentered.is-half
        figure.image.is-4by3: img src=(asset_url 'multi-branch.svg', 'img')
      .columns.is-multiline style='padding-top: 3rem'
        .column.is-11.is-offset-1
          h3.subtitle Manage versions like a pro
          p.desc Use branches to version documentation just like software. Antora can find repository branches and assemble the files in each branch into a versioned documentation collection. Antora also knows how to ignore branches you don’t want published.
        .column.is-11.is-offset-1
          h3.subtitle Remote and local, private and public, bare and non-bare
          p.desc Antora can collect files from a combination of local, remote public, and remote private repositories over any protocol supported by git.

section#feature.section.is-alternate
  .container
    .columns.is-desktop
      .column
        h3.title Site Orchestration for Everyone
    .columns.is-desktop
      .column.is-vcentered.is-half
        figure.image.is-4by3: img src=(asset_url 'antora-playbook.svg', 'img')
      .columns.is-vcentered.is-multiline style='align-content: center'
        .column.is-11.is-offset-1
          h3.subtitle Antora’s playbook
          p.desc With an Antora playbook, anyone can easily assemble and generate a documentation site. A playbook is a straight-forward set of concise instructions that tell Antora what documentation to assemble, where to find it, and what UI to apply to it.
        .column.is-11.is-offset-1 style='margin-top: 1rem'
          h3.subtitle Run your playbook using the Antora CLI
          p.desc Just point the Antora CLI at your playbook to configure and execute the default site generator. Out comes your site!
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle Site remixes for any occasion
        p.desc With Antora’s playbooks, you can control which versions of the documentation get published to a site. You can even tell Antora to use uncommitted changes when generating the site on a local machine.
      .column
        h3.subtitle Open architecture
        p.desc Antora features an open architecture. Despite providing an opinionated default site generator, you’re free to reuse the core components to assemble your own custom generator pipeline.
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle Multi-channel publishing
        p.desc Antora automatically adapts a docs site to its publishing environment. Whether the site is published locally, to revolving testing, QA, or staging environments, or to an alternate URL for a campaign or event, the site is fully functional. This environment portability is possible because Antora’s cross referencing system isn’t based on a hardcoded base URL or system path.

section#feature.section
  .container
    .columns.is-vcentered.is-desktop
      .column
        h3.title Minimal Markup, Maximum Functionality
    .columns.is-vcentered.is-desktop
      .column.is-offset-1
        p.desc Mark up content with AsciiDoc’s lightweight yet comprehensive syntax.
        ul.columns.is-multiline
          li.column.is-half.tick Bold, italic, monospace, highlight, and custom text roles
          li.column.is-half.tick Special characters, font icons, and UI references
          li.column.is-half.tick Ordered, unordered, definition, and interactive task lists
          li.column.is-half.tick YouTube, Vimeo, and self-hosted videos with display and user-control options
          li.column.is-half.tick Images and icons
          li.column.is-half.tick Tables, notices, quotes, and sidebars
          li.column.is-half.tick Metadata and taxonomy
          li.column.is-half.tick Cross references, page-to-page and in-page
          li.column.is-half.tick Include directives with tags
          li.column.is-half.tick Table of contents
          li.column.is-half.tick Source code with callouts, callout icons, wrap and scroll controls, and syntax highlighting
          li.column.is-half.tick Page, section, asset, block, and line controls to optimize reader experience
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle No markup plugins, extensions, or shortcodes needed
        p.desc AsciiDoc’s extensive feature set is available right out of the box with Antora. There’s no need to find, install, and manage plugins, extensions, or scripts to add basic capabilities to the syntax.
      .column
        h3.subtitle No flavor lock-in
        p.desc Documentation written with AsciiDoc works with all of the software and tools in the Asciidoctor ecosystem. You don’t need to worry about incompatible syntax or lost functionality.
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle Tooling
        p.desc Write and preview AsciiDoc with text editors and IDEs like Atom, Brackets, and IntelliJ. And GitLab and GitHub render AsciiDoc files right in the browser.
      .column
        h3.subtitle Extension API
        p.desc Custom syntax or output transformations can be added as discrete extensions using Asciidoctor’s extension API.
    .columns.is-vcentered.is-desktop
      .column.is-offset-1
        h3.subtitle Responsive maintainers
        p.desc Antora’s core developers help lead the Asciidoctor organization, home of the AsciiDoc syntax and Asciidoctor, the AsciiDoc processor. Due to this direct relationship, Antora is always in sync with AsciiDoc and Asciidoctor features.

section#feature.section.is-alternate
  .container
    .columns.is-desktop
      .column
        h3.title Cross References
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle Decoupled from filesystems, environments, and URLs
        p.desc It doesn’t matter where you publish your documentation site &mdash; on a local machine, a staging environment, or a production environment &mdash; the page-to-page cross references always work. That’s because Antora’s page referencing system isn’t coupled to filesystem paths or URLs.

section#feature.section
  .container
    .columns.is-desktop
      .column
        h3.title Site Navigation
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle Described using AsciiDoc lists
        p.desc A site’s navigation is described by one or more AsciiDoc lists that are stored alongside your documentation files. Links are added using the same cross referencing syntax used in the pages themselves.
      .column
        h3.subtitle No content or organization restrictions
        p.desc Add normal text, images, icons, and external links to the navigation. Order and nest the links in the arrangement of your choice.

section#feature.section.is-alternate
  .container
    .columns.is-desktop
      .column
        h3.title Site UI &amp; Theme
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle Discrete UI
        p.desc Site UIs are stored in separate repositories so that developing, testing, and publishing new or updated themes has no impact on your documentation files or their repositories. Antora retrieves the specified site UI just like it fetches the content files from their repositories.
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle Web team workspaces
        p.desc Web teams can use their preferred repository structure, development workflow and release schedule since the site UI isn’t stored with the documentation.
      .column
        h3.subtitle Hot swap UIs
        p.desc Switch between site UIs just by changing the UI address in the playbook.

section#feature.section
  .container
    .columns.is-desktop
      .column
        h3.title URLs &amp; Routes
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle URLs for humans and SEO
        p.desc A page’s URL is derived from its filename, yet still isolated from its full filesystem path.
      .column
        h3.subtitle Route and redirect controls
        p.desc Routes and redirects can be specified at the site, component, version, module, and page level.

section#feature.section
  .container
    .columns.is-desktop
      .column
        h3.title Metadata &amp; Taxonomy
    .columns.is-desktop
      .column.is-offset-1
        h3.subtitle Multi-level metadata controls
        p.desc Add and remove metadata at the site, component, module, and page level using AsciiDoc attributes.
      .column
        h3.subtitle Built-in and custom taxonomy types
        p.desc Assign taxonomy types and values at the site or page level.
